<!-- <div>
    <div class="categories_after_login">
        <div class="">
            <ul>
                <ng-container *ngFor="let item of categoryList, let i =index">
                    <li class="nav-item dropdown">
                        <a class="dropdown-toggle" href="javascript:void(0)" id="navbarDropdown" role="button"
                            data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" (click)="onCategory_barClick(item.id)">{{item.category_name}}</a>
                        <div class="dropdown-menu four-columns-menu" aria-labelledby="navbarDropdown"
                            *ngIf="item.sub_category!=null && item.sub_category!='' && item.sub_category!=undefined">
                            <ng-container *ngFor="let subCategory of item.sub_category, let i =index">
                                <a class="dropdown-item" href="javascript:void(0)" (click)="onSubCategoryClick(subCategory.id)">{{subCategory.sub_category_name}}</a>
                            </ng-container>
                        </div>
                    </li>
                </ng-container>
            </ul>
        </div>
    </div>
</div> -->
<!-- Header part end-->

<!--::breadcrumb part start::-->
<!-- <section class="breadcrumb breadcrumb_bg">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="breadcrumb_iner">
                    <div class="breadcrumb_iner_item">
                        <h2>Professional Services</h2>
                        <p>We provide the best services for our Buyer's and Seller's</p>
                        <a [routerLink]="'/post_a_request'" style="color: white;"
                            class="btn btn-primary btn-md post_a_request_btn">Post a
                            Request</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section> -->
<section class="Best_seller custom_best_seller" style="min-height: 330px;position: relative;">
    <div class="container">
        <div class="row">
            <div class="col-md-12 custom_col_md_12_padding">
                <h3 class="custom_heading_text mb-3">Best Seller in <span
                        class="highlight">Logo Design</span></h3>
            </div>
        </div>
        <!-- <div class="row"> -->
        <!-- Carousel for BestSellers -->
        <div class="row">
            <div [ngClass]="bestSellers_Row" *ngIf="bestsellerList">
                <owl-carousel-o [options]="customOptions">
                    <ng-container *ngFor="let slide of bestsellerList">
                        <ng-template carouselSlide [id]="slide.id">
                            <div class="custom_card_div" [attr.style]="(bestsellerList.length<4?'width:320px;':'')">
                                <div class="img_div">
                                    <img [src]="slide.gallery[0]?.file_path" [alt]="" [title]="">
                                </div>
                                <div class="content_div">
                                    <div class="card_heading_text">
                                        <h5 (click)="onGigClick(slide.id,slide.gig_status?.id)">{{slide.title}}</h5>
                                        <div class="by_text">
                                            <i> by </i><a class="by_text_person_name"
                                                (click)="onSellerClick(slide.created_by?.id)">{{slide.created_by.user_name}}</a>
                                            <!-- | <a class="level_of_person"></a> -->
                                        </div>
                                    </div>
                                    <div class="Price_and_star_container">
                                        <div class="row">
                                            <div class="col-md-6 col-xs-6 custom_col_md_12_padding" (click)="onGigClick(slide.id,slide.gig_status?.id)">
                                                <div class="stars_container" *ngIf="slide.rating>0">
                                                    {{getStar(slide.rating)}}
                                                    <span [innerHtml]="printStar">
                                                    </span> ({{slide.total_views}})
                                                </div>
                                                <div class="stars_container_empty"
                                                    *ngIf="slide.rating==0 || slide.rating==null || slide.rating=='' || slide.rating==undefined">
                                                    {{getEmptyStar()}}
                                                    <span [innerHtml]="printStarEmpty">
                                                    </span> <span class="star_counts">(0)</span>
                                                </div>
                                            </div>
                                            <div class="col-md-6 col-xs-6 text-right custom_col_md_12_padding"
                                                (click)="onGigClick(slide.id,slide.gig_status?.id)">
                                                <h4>
                                                    {{slide.gigs_pricing[0]?.price | currency: 'INR':'symbol':'1.0-0'}}
                                                </h4>
                                                <!-- {{slide.rating}} -->
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </ng-template>
                    </ng-container>
                </owl-carousel-o>
            </div>
        </div>

        <!-- </div> -->
    </div>
    <div class="No_gig_display" *ngIf="bestsellerList==undefined || bestsellerList.length==0">
        <i class="fa fa-user"></i>
        <h1 class="">No Gig to display</h1>
    </div>
</section>
<section class="Your_favourites custom_your_favourite"
    style="padding: 80px 0px 0px;min-height: 330px; position: relative;">
    <div class="container">
        <div class="row">
            <div class="col-md-12 custom_col_md_12_padding">
                <h3 class="custom_heading_text mb-3">Your Favorites</h3>
            </div>
        </div>
        <!-- Carousel for Favourites Commented as no data -->

        <div [ngClass]="favorites_Row" *ngIf="favouriteList">
            <owl-carousel-o [options]="customOptions">
                <ng-container *ngFor="let slide of favouriteList">
                    <ng-template carouselSlide [id]="slide.id">
                        <div class="custom_card_div" [attr.style]="(favouriteList.length<4?'width:320px;':'')">
                            <div class="img_div">
                                <img [src]="slide.gallery[0]?.file_path" [alt]="" [title]="">
                            </div>
                            <div class="content_div">
                                <div class="card_heading_text">
                                    <h5 (click)="onGigClick(slide.id,slide.gig_status?.id)">{{slide.title}}</h5>
                                    <div class="by_text">
                                        <i> by </i><a class="by_text_person_name"
                                            (click)="onSellerClick(slide.created_by?.id)">{{slide.created_by.user_name}}</a>
                                        <!-- | <a class="level_of_person"></a> -->
                                    </div>
                                </div>
                                <div class="Price_and_star_container">
                                    <div class="row">
                                        <div class="col-md-6 col-xs-6 custom_col_md_12_padding" (click)="onGigClick(slide.id,slide.gig_status?.id)">
                                            <div class="stars_container" *ngIf="slide.rating>0">
                                                {{getStar(slide.rating)}}
                                                <span [innerHtml]="printStar">
                                                </span> ({{slide.total_views}})
                                            </div>
                                            <div class="stars_container_empty"
                                                *ngIf="slide.rating==0 || slide.rating==null || slide.rating=='' || slide.rating==undefined">
                                                {{getEmptyStar()}}
                                                <span [innerHtml]="printStarEmpty">
                                                </span> <span class="star_counts">(0)</span>
                                            </div>
                                        </div>
                                        <div class="col-md-6 col-xs-6 text-right custom_col_md_12_padding"
                                            (click)="onGigClick(slide.id,slide.gig_status?.id)">
                                            <h4>
                                                {{slide.gigs_pricing[0]?.price | currency: 'INR':'symbol':'1.0-0'}}</h4>
                                            <!-- {{slide.rating}} -->
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </ng-template>
                </ng-container>
            </owl-carousel-o>
        </div>
    </div>
    <div class="No_gig_display" *ngIf="favouriteList==undefined || favouriteList.length==0">
        <i class="fa fa-user"></i>
        <h1 class="">No Gig to display</h1>
    </div>
</section>
<section class="Top_services custom_Top_services"
    style="padding: 80px 0px 100px;min-height: 330px; position: relative;">
    <div class="container">
        <div class="row">
            <div class="col-md-12 custom_col_md_12_padding">
                <h3 class="custom_heading_text mb-3">Top services in <span
                        class="highlight">Logo Design</span></h3>
            </div>
        </div>
        <!-- carousel for Top Services -->
        <div [ngClass]="topServices_Row" *ngIf="topServicesList">
            <owl-carousel-o [options]="customOptions">
                <ng-container *ngFor="let slide of topServicesList">
                    <ng-template carouselSlide [id]="slide.id">
                        <div class="custom_card_div" [attr.style]="(topServicesList.length<4?'width:320px;':'')">
                            <div class="img_div">
                                <img [src]="slide.gallery[0]?.file_path" [alt]="" [title]="">
                            </div>
                            <div class="content_div">
                                <div class="card_heading_text">
                                    <h5 (click)="onGigClick(slide.id,slide.gig_status?.id)">{{slide.title}}</h5>
                                    <div class="by_text">
                                        <i> by </i><a class="by_text_person_name"
                                            (click)="onSellerClick(slide.created_by?.id)">{{slide.created_by.user_name}}</a>
                                        <!-- | <a class="level_of_person"></a> -->
                                    </div>
                                </div>
                                <div class="Price_and_star_container">
                                    <div class="row">
                                        <div class="col-md-6 col-xs-6 custom_col_md_12_padding" (click)="onGigClick(slide.id,slide.gig_status?.id)">
                                            <div class="stars_container" *ngIf="slide.rating>0">
                                                {{getStar(slide.rating)}}
                                                <span [innerHtml]="printStar">
                                                </span> ({{slide.total_views}})
                                            </div>
                                            <div class="stars_container_empty"
                                                *ngIf="slide.rating==0 || slide.rating==null || slide.rating=='' || slide.rating==undefined">
                                                {{getEmptyStar()}}
                                                <span [innerHtml]="printStarEmpty">
                                                </span> <span class="star_counts">(0)</span>
                                            </div>
                                        </div>
                                        <div class="col-md-6 col-xs-6 text-right custom_col_md_12_padding"
                                            (click)="onGigClick(slide.id,slide.gig_status?.id)">
                                            <h4>
                                                {{slide.gigs_pricing[0]?.price | currency: 'INR':'symbol':'1.0-0'}}</h4>
                                            <!-- {{slide.rating}} -->
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </ng-template>
                </ng-container>
            </owl-carousel-o>
        </div>
    </div>
    <div class="No_gig_display" *ngIf="topServicesList==undefined || topServicesList.length==0">
        <i class="fa fa-user"></i>
        <h1 class="">No Gig to display</h1>
    </div>
</section>

<section class="Inspired_by custom_Inspired_by" style="padding: 20px 0px 20px;min-height: 330px;position: relative;">
    <div class="container">
        <div class="row">
            <div class="col-md-12 custom_col_md_12_padding">
                <h3 class="custom_heading_text mb-3">Inspired by your recent browsing activity </h3>
            </div>
        </div>
        <!-- carousel for Browsing History Commented as no data -->
        <div [ngClass]="browsingHistory_Row" *ngIf="browsingHistoryList">
            <owl-carousel-o [options]="customOptions">
                <ng-container *ngFor="let slide of browsingHistoryList">
                    <ng-template carouselSlide [id]="slide.id">
                        <div class="custom_card_div" [attr.style]="(browsingHistoryList.length<4?'width:320px;':'')">
                            <div class="img_div">
                                <img [src]="slide.gallery[0]?.file_path" [alt]="" [title]="">
                            </div>
                            <div class="content_div">
                                <div class="card_heading_text">
                                    <h5 (click)="onGigClick(slide.id,slide.gig_status?.id)">{{slide.title}}</h5>
                                    <div class="by_text">
                                        <i> by </i><a class="by_text_person_name"
                                            (click)="onSellerClick(slide.created_by?.id)">{{slide.created_by.user_name}}</a>
                                        <!-- | <a class="level_of_person"></a> -->
                                    </div>
                                </div>
                                <div class="Price_and_star_container">
                                    <div class="row">
                                        <div class="col-md-6 col-xs-6 custom_col_md_12_padding" (click)="onGigClick(slide.id,slide.gig_status?.id)">
                                            <div class="stars_container" *ngIf="slide.rating>0">
                                                {{getStar(slide.rating)}}
                                                <span [innerHtml]="printStar">
                                                </span> ({{slide.total_views}})
                                            </div>
                                            <div class="stars_container_empty"
                                                *ngIf="slide.rating==0 || slide.rating==null || slide.rating=='' || slide.rating==undefined">
                                                {{getEmptyStar()}}
                                                <span [innerHtml]="printStarEmpty">
                                                </span> <span class="star_counts">(0)</span>
                                            </div>
                                        </div>
                                        <div class="col-md-6 col-xs-6 text-right custom_col_md_12_padding"
                                            (click)="onGigClick(slide.id,slide.gig_status?.id)">
                                            <h4>
                                                {{slide.gigs_pricing[0]?.price | currency: 'INR':'symbol':'1.0-0'}}</h4>
                                            <!-- {{slide.rating}} -->
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </ng-template>
                </ng-container>
            </owl-carousel-o>
        </div>
    </div>
    <div class="No_gig_display" *ngIf="browsingHistoryList==undefined || browsingHistoryList.length==0">
        <i class="fa fa-user"></i>
        <h1 class="">No Gig to display</h1>
    </div>
</section>

<section class="Taskit_Picks custom_Taskit_Picks" style="padding: 20px 0px 20px;min-height: 330px;position: relative;">
    <div class="container">
        <div class="row">
            <div class="col-md-12 custom_col_md_12_padding">
                <h3 class="custom_heading_text mb-3">Taskmer Picks</h3>
            </div>
        </div>
        <!-- carousel for Taskit Pics -->
        <div [ngClass]="taskitPics_Row" *ngIf="taskitPicsList">
            <owl-carousel-o [options]="customOptions">
                <ng-container *ngFor="let slide of taskitPicsList">
                    <ng-template carouselSlide [id]="slide.id">
                        <div class="custom_card_div" [attr.style]="(taskitPicsList.length<4?'width:320px;':'')">
                            <div class="img_div">
                                <img [src]="slide.gallery[0]?.file_path" [alt]="" [title]="">
                            </div>
                            <div class="content_div">
                                <div class="card_heading_text">
                                    <h5 (click)="onGigClick(slide.id,slide.gig_status?.id)">{{slide.title}}</h5>
                                    <div class="by_text">
                                        <i> by </i><a class="by_text_person_name"
                                            (click)="onSellerClick(slide.created_by?.id)">{{slide.created_by.user_name}}</a>
                                        <!-- | <a class="level_of_person"></a> -->
                                    </div>
                                </div>
                                <div class="Price_and_star_container">
                                    <div class="row">
                                        <div class="col-md-6 col-xs-6 custom_col_md_12_padding" (click)="onGigClick(slide.id,slide.gig_status?.id)">
                                            <div class="stars_container" *ngIf="slide.rating>0">
                                                {{getStar(slide.rating)}}
                                                <span [innerHtml]="printStar">
                                                </span> ({{slide.total_views}})
                                            </div>
                                            <div class="stars_container_empty"
                                                *ngIf="slide.rating==0 || slide.rating==null || slide.rating=='' || slide.rating==undefined">
                                                {{getEmptyStar()}}
                                                <span [innerHtml]="printStarEmpty">
                                                </span> <span class="star_counts">(0)</span>
                                            </div>
                                        </div>
                                        <div class="col-md-6 col-xs-6 text-right custom_col_md_12_padding"
                                            (click)="onGigClick(slide.id,slide.gig_status?.id)">
                                            <h4>
                                                {{slide.gigs_pricing[0]?.price | currency: 'INR':'symbol':'1.0-0'}}</h4>
                                            <!-- {{slide.rating}} -->
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </ng-template>
                </ng-container>
            </owl-carousel-o>
        </div>

    </div>
    <div class="No_gig_display" *ngIf="taskitPicsList==undefined || taskitPicsList.length==0">
        <i class="fa fa-user"></i>
        <h1 class="">No Gig to display</h1>
    </div>
</section>